Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Payment
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • AutoCollec API
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
        POST
    • Collections
      • AcceptDebtCollectionList
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • RejectDebtCollectionList
      • WithdrawCase
      • PauseCase
      • ResumeCase
      • WithdrawCase
      • ResumeCase
    • Settlement
      • GetSettlement on Id
      • GetSettlements
      • GetSettlements
      • GetSettlement on Id
  • AutoCollect API (Legacy)
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Payment

CreatePayments

POST
/orgs/{orgId}/payments
Endpoints for organization management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢202Accepted
application/json
Accepted
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/orgs//payments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "payments": [
        {
            "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec",
            "type": "DIRECT_PAYMENT",
            "amount": 0,
            "currency": "string",
            "date": "2019-08-24T14:15:22.123Z",
            "description": "string",
            "uniqueSourcePaymentId": "string"
        }
    ]
}'
Response Response Example
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "batchUrl": "https://api.amili.no/collection/v1/batches/ae257e86-dc53-4865-9c97-5b125a3a5ac2"
    }
}
Modified at 2026-03-13 13:33:49
Previous
GetInvoiceById
Next
AcceptDebtCollectionList
Built with